Bug 172654 - [UPDATE] audio/linnya: update to 2.2.1
[UPDATE] audio/linnya: update to 2.2.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Jason E. Hale
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-13 05:10 UTC by ghw
Modified: 2012-10-15 03:30 UTC (History)
0 users

See Also:


Attachments
linnya-2.2.1.patch (2.17 KB, patch)
2012-10-13 05:10 UTC, ghw
no flags Details | Diff
linnya.diff (2.36 KB, patch)
2012-10-14 14:20 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ghw 2012-10-13 05:10:00 UTC
- Update to 2.2.1
- Use OptionsNG for additional options (NLS)

Build logs on RedPorts: https://redports.org/buildarchive/20121013023723-11078/
Comment 1 Edwin Groothuis freebsd_committer 2012-10-13 05:10:33 UTC
Class Changed
From-To: sw-bug->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Jason E. Hale freebsd_committer 2012-10-13 13:09:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jhale

I'll take it.
Comment 3 Jason E. Hale freebsd_committer 2012-10-14 14:20:25 UTC
There were a few changes I had to make.  Could you please review/approve the 
attached patch?

- curl should just be a LIB_DEPENDS instead of BUILD/RUN_DEPENDS
- There were two USE_AUTOTOOLS lines.  I removed the one that contained 
"aclocal" and "automake" because they are unneeded and were being overridden 
by the second one containing "libtool" anyways.  I added "libtoolize" to fix 
the broken links and silence configure warnings
- Added USE_PKGCONFIG because pkgconfig is implied by USE_GNOME=gkt30, but 
that implication will be gone soon
- Removed WANT_GNOME because it is deprecated and does nothing in this port
- Added a reinplace to remove configure warning "./configure: -O2: not found"
- Trimmed Makefile header
Comment 4 ghw 2012-10-15 03:10:24 UTC
Okay.Thank you !

2012/10/14 Jason E. Hale <jhale@freebsd.org>

> There were a few changes I had to make.  Could you please review/approve
> the
> attached patch?
>
> - curl should just be a LIB_DEPENDS instead of BUILD/RUN_DEPENDS
> - There were two USE_AUTOTOOLS lines.  I removed the one that contained
> "aclocal" and "automake" because they are unneeded and were being
> overridden
> by the second one containing "libtool" anyways.  I added "libtoolize" to
> fix
> the broken links and silence configure warnings
> - Added USE_PKGCONFIG because pkgconfig is implied by USE_GNOME=gkt30, but
> that implication will be gone soon
> - Removed WANT_GNOME because it is deprecated and does nothing in this port
> - Added a reinplace to remove configure warning "./configure: -O2: not
> found"
> - Trimmed Makefile header
Comment 5 Jason E. Hale freebsd_committer 2012-10-15 03:30:30 UTC
State Changed
From-To: open->closed

Committed with suggested changes.  Thanks!